Module
Contents
Index 🔎︎

# Statistilised funktsioonid, 1. osa

## [text/scalc/01/func_countifs.xhp#countifs_head not found].

Returns the count of cells that meet criteria in multiple ranges.

## B

Tagastab valimi tõenäosuse binoomjaotuse korral.

### Syntax

B(katseid; SP; T1; T2)

Katseid on sõltumatute katsete arv.

SP on iga katse edu tõenäosus.

T1 määrab katsete arvu alumise piiri.

T2 (mittekohustuslik) määrab katsete arvu ülemise piiri.

### Example

Milline on tõenäosus, et kümne täringuheite korral on "kuus" tulemuseks täpselt kaks korda? Kuue (või mis tahes muu silmade arvu) tõenäosus on 1/6. Järgmises valemis kombineeritakse need kaks tegurit omavahel:

=B(10;1/6;2) tagastab tõenäosusena 29%.

## BETA.DIST

Tagastab beetafunktsiooni.

### Syntax

BETAINV(arv; alfa; beeta; algus; lõpp)

Arv on alguse ja lõpu vahel asuv väärtus, millel funktsioon arvutatakse.

Alfa on jaotuse parameeter.

Beeta on jaotuse parameeter.

Kumulatiivne (mittekohustuslik) võib tõenäosuse tihedusfunktsiooni arvutamiseks olla 0 või Väär. Kumulatiivse jaotusfunktsiooni arvutamiseks võib see olla mis tahes muu väärtus, Tõene või puududa.

Algus (mittekohustuslik) on arvu alumine piirväärtus.

Lõpp (mittekohustuslik) on arvu ülemine piirväärtus.

In the LibreOffice Calc functions, parameters marked as "optional" can be left out only when no parameter follows. For example, in a function with four parameters, where the last two parameters are marked as "optional", you can leave out parameter 4 or parameters 3 and 4, but you cannot leave out parameter 3 alone.

### Example

=TINV(0,1;6) tagastab 1,94

=TINV(0,1;6) tagastab 1,94

## BETA.INV

Tagastab kumulatiivse beetatõenäosuse tihedusfunktsiooni pöördväärtuse.

### Syntax

BETAINV(arv; alfa; beeta; algus; lõpp)

Arv on alguse ja lõpu vahel asuv väärtus, millel funktsioon arvutatakse.

Alfa on jaotuse parameeter.

Beeta on jaotuse parameeter.

Algus (mittekohustuslik) on arvu alumine piirväärtus.

Lõpp (mittekohustuslik) on arvu ülemine piirväärtus.

In the LibreOffice Calc functions, parameters marked as "optional" can be left out only when no parameter follows. For example, in a function with four parameters, where the last two parameters are marked as "optional", you can leave out parameter 4 or parameters 3 and 4, but you cannot leave out parameter 3 alone.

### Example

=TINV(0,1;6) tagastab 1,94

## BETADIST

Tagastab beetafunktsiooni.

### Syntax

BETADIST(arv; alfa; beeta; algus; lõpp; kumulatiivne)

Arv on alguse ja lõpu vahel asuv väärtus, millel funktsioon arvutatakse.

Alfa on jaotuse parameeter.

Beeta on jaotuse parameeter.

Algus (mittekohustuslik) on arvu alumine piirväärtus.

Lõpp (mittekohustuslik) on arvu ülemine piirväärtus.

Kumulatiivne (mittekohustuslik) võib tõenäosuse tihedusfunktsiooni arvutamiseks olla 0 või Väär. Kumulatiivse jaotusfunktsiooni arvutamiseks võib see olla mis tahes muu väärtus, Tõene või puududa.

In the LibreOffice Calc functions, parameters marked as "optional" can be left out only when no parameter follows. For example, in a function with four parameters, where the last two parameters are marked as "optional", you can leave out parameter 4 or parameters 3 and 4, but you cannot leave out parameter 3 alone.

### Example

=BETADIST(0.75;3;4) returns the value 0.96.

## BETAINV

Tagastab kumulatiivse beetatõenäosuse tihedusfunktsiooni pöördväärtuse.

### Syntax

BETAINV(arv; alfa; beeta; algus; lõpp)

Arv on alguse ja lõpu vahel asuv väärtus, millel funktsioon arvutatakse.

Alfa on jaotuse parameeter.

Beeta on jaotuse parameeter.

Algus (mittekohustuslik) on arvu alumine piirväärtus.

Lõpp (mittekohustuslik) on arvu ülemine piirväärtus.

In the LibreOffice Calc functions, parameters marked as "optional" can be left out only when no parameter follows. For example, in a function with four parameters, where the last two parameters are marked as "optional", you can leave out parameter 4 or parameters 3 and 4, but you cannot leave out parameter 3 alone.

### Example

=TINV(0,1;6) tagastab 1,94

## BINOM.DIST

Tagastab individuaalse tingimuse binoomjaotuse tõenäosuse.

### Syntax

BINOMDIST(x; katseid; SP; C)

X on edukate katsete arv.

Katseid on sõltumatute katsete arv.

SP on iga katse edu tõenäosus.

C = 0 arvutab üksiku sündmuse tõenäosuse ja C = 1 arvutab kumulatiivse tõenäosuse.

### Example

=BINOMDIST(A1;12;0,5;0) näitab (kui lahtrisse A1 on sisestatud väärtus vahemikus 0 kuni 12) kaheteistkümne kulli-kirja viske korral tõenäosust, et kull on tulemuseks täpselt see arv kordi, mis on lahtrisse A1 sisestatud.

=BINOMDIST(A1;12;0,5;1) näitab sama jada kumulatiivseid tõenäosusi. Kui näiteks A1 = 4, on jada kumulatiivne tõenäosus 0, 1, 2, 3 või 4 korda kull (mittevälistav VÕI).

## BINOM.INV

Tagastab väikseima väärtuse, mille puhul kumulatiivne binoomjaotus on suurem kui või võrdne kriteeriumi väärtusega.

### Syntax

CRITBINOM(katseid; SP; alfa)

Katseid on katsete koguarv.

SP on iga katse edu tõenäosus.

Alpha The border probability that is attained or exceeded.

### Example

Tagastab väikseima väärtuse, mille puhul kumulatiivne binoomjaotus on suurem kui või võrdne kriteeriumi väärtusega.

## BINOMDIST

Tagastab individuaalse tingimuse binoomjaotuse tõenäosuse.

### Syntax

BINOMDIST(x; katseid; SP; C)

X on edukate katsete arv.

Katseid on sõltumatute katsete arv.

SP on iga katse edu tõenäosus.

C = 0 arvutab üksiku sündmuse tõenäosuse ja C = 1 arvutab kumulatiivse tõenäosuse.

### Example

=BINOMDIST(A1;12;0,5;0) näitab (kui lahtrisse A1 on sisestatud väärtus vahemikus 0 kuni 12) kaheteistkümne kulli-kirja viske korral tõenäosust, et kull on tulemuseks täpselt see arv kordi, mis on lahtrisse A1 sisestatud.

=BINOMDIST(A1;12;0,5;1) näitab sama jada kumulatiivseid tõenäosusi. Kui näiteks A1 = 4, on jada kumulatiivne tõenäosus 0, 1, 2, 3 või 4 korda kull (mittevälistav VÕI).

## CHIDIST

Tagastab viidatud hii-ruudu põhjal tõenäosuse, et hüpotees on saanud kinnituse. CHIDIST võrdleb juhusliku valimi hii-ruudu väärtust, mis arvutatakse (vaadeldud väärtus - eeldatav väärtus)^2/kõigi teoreetilise hii-ruut-jaotusega väärtuste eeldatava väärtuse summa põhjal, ja määrab selle põhjal testitava hüpoteesi vea tõenäosuse.

Funktsiooniga CHIDIST määratud tõenäosuse saab määrata ka funktsiooniga CHITEST.

### Syntax

CHIDIST(arv; vabadusastmed)

Arv on veatõenäosuse määramiseks kasutatav juhusliku valimi hii-ruut-väärtus.

Vabadusastmed on katse vabadusastmete arv.

### Example

=CHIINV(0,05;5) tagastab 11,07.

Kui juhusliku valimi hii-ruut-väärtus on 13,27 ja katsel on viis vabadusastet, on hüpotees kinnitatud veatõenäosusega 2%.

## CHIINV

Tagastab hii-ruut-jaotuse ühepoolse tõenäosuse pöördväärtuse.

### Syntax

CHIINV(arv; vabadusastmed)

Arv on vea tõenäosuse väärtus.

Vabadusastmed on katse vabadusastmete arv.

### Example

Täringut heidetakse 1020 korda. Täringu silmad 1 kuni 6 on tulemuseks vastavalt 195, 151, 148, 189, 183 ja 154 korda (vaadeldud väärtused). Testitakse hüpoteesi, et täring pole kindlate tulemuste saamiseks kallutatud.

Juhusliku valimi hii-ruut-jaotus on määratud eeltoodud valemiga. Kuna täringu teatud silmade arvu saamise eeldatav väärtus on n korda 1/6, seega 1020/6 = 170, tagastab valem hii-ruudu väärtuse 13,27.

Kui (vaadeldud) hii-ruut on suurem kui (teoreetiline) hii-ruudu CHIINV või sellega võrdne, siis lükatakse hüpotees ümber, kuna teooria ja katse vaheline hälve on liiga suur. Kui vaadeldud hii-ruut on väiksem kui CHIINV, kinnitatakse hüpotees näidatud veatõenäosusega.

=CHIINV(0,05;5) tagastab 11,07.

=CHIINV(0,02;5) tagastab 13,39.

Kui veatõenäosus on 5%, on täring rikutud. Kui veatõenäosus on 2%, pole põhjust arvata, et täringut on rikutud.

## CHISQ.DIST

Tagastab hii-ruut-jaotuse tõenäosuse tihedusfunktsiooni või kumulatiivse tihedusfunktsiooni väärtuse.

### Syntax

CHISQDIST(arv; vabadusastmed; kumulatiivne)

Arv on veatõenäosuse määramiseks kasutatav juhusliku valimi hii-ruut-väärtus.

Vabadusastmed on katse vabadusastmete arv.

Kumulatiivne (mittekohustuslik) võib tõenäosuse tihedusfunktsiooni arvutamiseks olla 0 või Väär. Kumulatiivse jaotusfunktsiooni arvutamiseks võib see olla mis tahes muu väärtus, Tõene või puududa.

### Example

=CHISQ.DIST(3; 2; 0) equals 0.1115650801, the probability density function with 2 degrees of freedom, at x = 3.

=CHISQ.DIST(3; 2; 1) equals 0.7768698399, the cumulative chi-square distribution with 2 degrees of freedom, at the value x = 3.

## CHISQ.DIST.RT

Tagastab viidatud hii-ruudu põhjal tõenäosuse, et hüpotees on saanud kinnituse. CHIDIST võrdleb juhusliku valimi hii-ruudu väärtust, mis arvutatakse (vaadeldud väärtus - eeldatav väärtus)^2/kõigi teoreetilise hii-ruut-jaotusega väärtuste eeldatava väärtuse summa põhjal, ja määrab selle põhjal testitava hüpoteesi vea tõenäosuse.

Funktsiooniga CHIDIST määratud tõenäosuse saab määrata ka funktsiooniga CHITEST.

### Syntax

CHIDIST(arv; vabadusastmed)

Arv on veatõenäosuse määramiseks kasutatav juhusliku valimi hii-ruut-väärtus.

Vabadusastmed on katse vabadusastmete arv.

### Example

=CHIINV(0,05;5) tagastab 11,07.

Kui juhusliku valimi hii-ruut-väärtus on 13,27 ja katsel on viis vabadusastet, on hüpotees kinnitatud veatõenäosusega 2%.

## CHISQ.INV

Tagastab hii-ruut-jaotuse ühepoolse tõenäosuse pöördväärtuse.

### Syntax

CHIINV(arv; vabadusastmed)

Tõenäosus on tõenäosus, mille jaoks hii-ruut-jaotuse pöördväärtus arvutatakse.

Vabadusaste on hii-ruut-funktsiooni vabadusastmete arv.

### Example

=POISSON(60;50;1) tagastab 0,93.

## CHISQ.INV.RT

Tagastab hii-ruut-jaotuse ühepoolse tõenäosuse pöördväärtuse.

### Syntax

CHIINV(arv; vabadusastmed)

Arv on vea tõenäosuse väärtus.

Vabadusastmed on katse vabadusastmete arv.

### Example

Täringut heidetakse 1020 korda. Täringu silmad 1 kuni 6 on tulemuseks vastavalt 195, 151, 148, 189, 183 ja 154 korda (vaadeldud väärtused). Testitakse hüpoteesi, et täring pole kindlate tulemuste saamiseks kallutatud.

Juhusliku valimi hii-ruut-jaotus on määratud eeltoodud valemiga. Kuna täringu teatud silmade arvu saamise eeldatav väärtus on n korda 1/6, seega 1020/6 = 170, tagastab valem hii-ruudu väärtuse 13,27.

Kui (vaadeldud) hii-ruut on suurem kui (teoreetiline) hii-ruudu CHIINV või sellega võrdne, siis lükatakse hüpotees ümber, kuna teooria ja katse vaheline hälve on liiga suur. Kui vaadeldud hii-ruut on väiksem kui CHIINV, kinnitatakse hüpotees näidatud veatõenäosusega.

=CHIINV(0,05;5) tagastab 11,07.

=CHIINV(0,02;5) tagastab 13,39.

Kui veatõenäosus on 5%, on täring rikutud. Kui veatõenäosus on 2%, pole põhjust arvata, et täringut on rikutud.

## CHISQ.TEST

Tagastab kahest katsest koosneva jada juhusliku jaotuse hälbe tõenäosuse sõltumatustesti hii-ruudu põhjal. CHITEST tagastab andmete hii-ruut-jaotuse.

Funktsiooniga CHITEST määratud tõenäosuse saab määrata ka funktsiooniga CHIDIST, kuid siis tuleb andmerea asemel esitada parameetrina juhusliku valimi hii-ruut.

### Syntax

CHITEST(andmed_B; andmed_E)

Andmed_B on vaatlusandmete massiiv.

Andmed_E on oodatud väärtuste vahemik.

### Example

| Andmed_B (vaadeldud) | Andmed_E (oodatud)
1 | 195 | 170
2 | 151 | 170
3 | 148 | 170
4 | 189 | 170
5 | 183 | 170
6 | 154 | 170

=CHITEST(A1:A6;B1:B6) võrdub 0,02. See on tõenäosus, mis rahuldab teoreetilise hii-ruut-jaotuse vaadeldud andmed.

## CHISQDIST

Tagastab hii-ruut-jaotuse tõenäosuse tihedusfunktsiooni või kumulatiivse tihedusfunktsiooni väärtuse.

### Syntax

CHISQDIST(arv; vabadusastmed; kumulatiivne)

Arv on arv, mille jaoks funktsioon arvutatakse.

Vabadusastmed on hii-ruut-funktsiooni vabadusastmete arv.

Kumulatiivne (mittekohustuslik): väärtuse 0 või Väär korral arvutatakse tõenäosuse tihedusfunktsioon. Muu väärtuse, Tõese või puuduva väärtuse korral arvutatakse kumulatiivne jaotusfunktsioon.

## CHISQINV

Tagastab funktsiooni CHISQDIST pöördväärtuse.

### Syntax

Tõenäosus on tõenäosus, mille jaoks hii-ruut-jaotuse pöördväärtus arvutatakse.

Vabadusaste on hii-ruut-funktsiooni vabadusastmete arv.

## CHITEST

Tagastab kahest katsest koosneva jada juhusliku jaotuse hälbe tõenäosuse sõltumatustesti hii-ruudu põhjal. CHITEST tagastab andmete hii-ruut-jaotuse.

Funktsiooniga CHITEST määratud tõenäosuse saab määrata ka funktsiooniga CHIDIST, kuid siis tuleb andmerea asemel esitada parameetrina juhusliku valimi hii-ruut.

### Syntax

CHITEST(andmed_B; andmed_E)

Andmed_B on vaatlusandmete massiiv.

Andmed_E on oodatud väärtuste vahemik.

### Example

| Andmed_B (vaadeldud) | Andmed_E (oodatud)
1 | 195 | 170
2 | 151 | 170
3 | 148 | 170
4 | 189 | 170
5 | 183 | 170
6 | 154 | 170

=CHITEST(A1:A6;B1:B6) võrdub 0,02. See on tõenäosus, mis rahuldab teoreetilise hii-ruut-jaotuse vaadeldud andmed.

## COUNT

Loendab, kui palju arve on argumentide loendis. Tekstilisi kirjeid eiratakse.

### Syntax

COUNT(Value1; Value2; ...; Value30)

Value1; Value2, ..., Value30 are 1 to 30 values or ranges representing the values to be counted.

### Example

Loendatakse kirjed 2, 4, 6 ja kaheksa väärtuse väljadel 1-4.

=COUNT(2;4;6;"kaheksa") = 3. Arve on seega 3.

## COUNTA

Loendab väärtuste arvu argumentide loendis. Loendatakse ka tekstikirjed, isegi kui need koosnevad 0-pikkusega tühjast stringist. Kui mõni argument on massiiv või viide, siis tühje lahtreid massiivis või viites ignoreeritakse.

### Syntax

COUNTA(Value1; Value2; ...; Value30)

Value1; Value2, ..., Value30 are 1 to 30 arguments representing the values to be counted.

### Example

Loendatakse kirjed 2, 4, 6 ja kaheksa väärtuse väljadel 1-4.

=COUNTA(2;4;6;"kaheksa") = 4. Väärtusi on seega 4.

## COUNTBLANK

Tagastab tühjade lahtrite arvu.

### Syntax

COUNTBLANK(vahemik)

Tagastab tühjade lahtrite arvu lahtrite vahemikus.

### Example

=COUNTBLANK(A1:B2) tagastab väärtuse 4, kui lahtrid A1, A2, B1 ja B2 on kõik tühjad.

## COUNTIF

Tagastab lahtrite arvu vahemikus, mis vastavad määratud kriteeriumitele.

The search supports regular expressions. You can enter "all.*", for example to find the first location of "all" followed by any characters. If you want to search for a text that is also a regular expression, you must precede every character with a "\" character. You can switch the automatic evaluation of regular expression on and off in LibreOffice - Preferences Tools - Options
- LibreOffice Calc - Calculate.

### Syntax

COUNTIF(vahemik; kriteeriumid)

Vahemik on vahemik, millele kriteeriumid rakendatakse.

Criteria indicates the criteria in the form of a number, an expression or a character string. These criteria determine which cells are counted. If regular expressions are enabled in calculation options you may also enter a search text in the form of a regular expression, e.g. b.* for all cells that begin with b. If wildcards are enabled in calculation options you may enter a search text with wildcards, e.g. b* for all cells that begin with b. You may also indicate a cell address that contains the search criterion. If you search for literal text, enclose the text in double quotes.

### Example

A1:A10 on lahtrite vahemik, mis sisaldab arve 2000 kuni 2009. Lahter B1 sisaldab arvu =2006. Sisesta lahtrisse B2 valem:

=COUNTIF(A1:A10;2006) - this returns 1.

=COUNTIF(A1:A10;B1) - this returns 1.

=COUNTIF(A1:A10;">=2006") - this returns 4.

=COUNTIF(A1:A10;"<"&B1) - when B1 contains 2006, this returns 6.

=COUNTIF(A1:A10;C2) where cell C2 contains the text >2006 counts the number of cells in the range A1:A10 which are >2006.

Loendatakse ainult negatiivsed arvud: =COUNTIF(A1:A10;"<0")

## EXPON.DIST

Tagastab eksponentsiaalse jaotuse.

### Syntax

EXPONDIST(arv; lambda; C)

Arv on funktsiooni väärtus.

Lambda on parameetri väärtus.

C on tõeväärtus, mis määrab funktsiooni kuju. C = 0 arvutab tihedusfunktsiooni ja C = 1 arvutab jaotuse.

### Example

=TINV(0,1;6) tagastab 1,94

## EXPONDIST

Tagastab eksponentsiaalse jaotuse.

### Syntax

EXPONDIST(arv; lambda; C)

Arv on funktsiooni väärtus.

Lambda on parameetri väärtus.

C on tõeväärtus, mis määrab funktsiooni kuju. C = 0 arvutab tihedusfunktsiooni ja C = 1 arvutab jaotuse.

### Example

=TINV(0,1;6) tagastab 1,94

## INTERCEPT

Arvutab teadaolevate x- ja y-väärtuste põhjal koha, kus joon lõikab y-telge.

### Syntax

INTERCEPT(andmed_Y; andmed_X)

Andmed_Y on vaatluste või andmete sõltuv hulk.

Andmed_X on vaatluste või andmete sõltumatu hulk.

Siin tuleb kasutada nimesid, massiive või viiteid. Arvud võib sisestada otse.

### Example

Lõikepunkti leidmiseks kasuta Y-väärtuse jaoks lahtreid D3:D9 ja X-väärtuse jaoks lahtreid C3:C9 näitena toodud arvutustabelist. Sisestada tuleks järgnev valem:

=INTERCEPT(D3:D9;C3:C9) = 2,15.

## RSQ

Tagastab Pearsoni korrelatsioonikordaja ruudu antud väärtuste alusel. RSQ (seda nimetatakse ka determinatsioonikordajaks) mõõdab korrigeerimise täpsust ja seda saab kasutada regressioonianalüüsi koostamiseks.

### Syntax

RSQ(andmed_Y; andmed_X)

Andmed_Y on andmepunktide massiiv või vahemik.

Andmed_X on andmepunktide massiiv või vahemik.

### Example

=RSQ(A1:A20;B1:B20) arvutab veergudes A ja B mõlema andmehulga determinatsioonikordaja.

Sarnased teemad

Functions by Category